#pragma once

#include <stdio.h>

class BitFile 
{
private:
	unsigned char mask;
	int rack;

public :
	FILE*file;	
	int cb;

	// ouverture de flux binaires en sortie
	void openOutput(char*name);
	void openOutput(FILE*f);

	// ouverture de flux binaires en entrée
	void openInput(char*name);
	void openInput(FILE*f);

	// fermeture
	void closeOutput();
	void closeInput();
	
	// lecture ou écriture de bits
	void outputBit(int bit) ;
	void outputBits(unsigned long code,int count);	
	int inputBit();
	int inputBits(int bit_count);
};